# Uses of Class
org.apache.lucene.facet.FacetsConfig

Packages that use FacetsConfig
Package
Description
org.apache.lucene.facet
Faceted search.
org.apache.lucene.facet.sortedset
Provides faceting capabilities over facets that were indexed with `SortedSetDocValuesFacetField`.
org.apache.lucene.facet.taxonomy
Taxonomy of Categories.

- ## Uses of FacetsConfig in org.apache.lucene.facet

  Fields in org.apache.lucene.facet declared as FacetsConfig
  Modifier and Type
  Field
  Description
  `protected final FacetsConfig`
  DrillSideways.`config`
  `FacetsConfig` passed to constructor.
  Methods in org.apache.lucene.facet with parameters of type FacetsConfig
  Modifier and Type
  Method
  Description
  `FacetResult`
  RandomSamplingFacetsCollector.`amortizeFacetCounts(FacetResult res, FacetsConfig config, IndexSearcher searcher)`
  Note: if you use a counting `Facets` implementation, you can amortize the sampled counts by calling this method.
  Constructors in org.apache.lucene.facet with parameters of type FacetsConfig
  Modifier
  Constructor
  Description
  ``
  `DrillDownQuery(FacetsConfig config)`
  Creates a new `DrillDownQuery` without a base query, to perform a pure browsing query (equivalent to using `MatchAllDocsQuery` as base).
  ``
  `DrillDownQuery(FacetsConfig config, Query baseQuery)`
  Creates a new `DrillDownQuery` over the given base query.
  ``
  `DrillSideways(IndexSearcher searcher, FacetsConfig config, SortedSetDocValuesReaderState state)`
  Create a new `DrillSideways` instance, assuming the categories were indexed with `SortedSetDocValuesFacetField`.
  ``
  `DrillSideways(IndexSearcher searcher, FacetsConfig config, TaxonomyReader taxoReader)`
  Create a new `DrillSideways` instance.
  ``
  `DrillSideways(IndexSearcher searcher, FacetsConfig config, TaxonomyReader taxoReader, SortedSetDocValuesReaderState state)`
  Create a new `DrillSideways` instance, where some dimensions were indexed with `SortedSetDocValuesFacetField` and others were indexed with `FacetField`.
  ``
  `DrillSideways(IndexSearcher searcher, FacetsConfig config, TaxonomyReader taxoReader, SortedSetDocValuesReaderState state, ExecutorService executor)`
  Create a new `DrillSideways` instance, where some dimensions were indexed with `SortedSetDocValuesFacetField` and others were indexed with `FacetField`.
  ``
  `FacetQuery(FacetsConfig facetsConfig, String dimension, String... path)`
  Creates a new `FacetQuery` filtering the query on the given dimension.
  ``
  `MultiFacetQuery(FacetsConfig facetsConfig, String dimension, String[]... paths)`
  Creates a new `MultiFacetQuery` filtering the query on the given dimension.

- ## Uses of FacetsConfig in org.apache.lucene.facet.sortedset

  Methods in org.apache.lucene.facet.sortedset that return FacetsConfig
  Modifier and Type
  Method
  Description
  `FacetsConfig`
  DefaultSortedSetDocValuesReaderState.`getFacetsConfig()`
  `abstract FacetsConfig`
  SortedSetDocValuesReaderState.`getFacetsConfig()`
  Returns the associated facet config.
  Constructors in org.apache.lucene.facet.sortedset with parameters of type FacetsConfig
  Modifier
  Constructor
  Description
  ``
  `DefaultSortedSetDocValuesReaderState(IndexReader reader, String field, FacetsConfig config)`
  Creates this, pulling doc values from the specified field.
  ``
  `DefaultSortedSetDocValuesReaderState(IndexReader reader, FacetsConfig config)`
  Creates this with a config, pulling doc values from the default `DEFAULT_INDEX_FIELD_NAME`.

- ## Uses of FacetsConfig in org.apache.lucene.facet.taxonomy

  Methods in org.apache.lucene.facet.taxonomy with parameters of type FacetsConfig
  Modifier and Type
  Method
  Description
  `static void`
  TaxonomyMergeUtils.`merge(Directory srcIndexDir, Directory srcTaxoDir, DirectoryTaxonomyWriter.OrdinalMap map, IndexWriter destIndexWriter, DirectoryTaxonomyWriter destTaxoWriter, FacetsConfig srcConfig)`
  Merges the given taxonomy and index directories and commits the changes to the given writers.
  Constructors in org.apache.lucene.facet.taxonomy with parameters of type FacetsConfig
  Modifier
  Constructor
  Description
  ``
  `FastTaxonomyFacetCounts(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)`
  Create `FastTaxonomyFacetCounts`, using the specified `indexFieldName` for ordinals.
  ``
  `FastTaxonomyFacetCounts(String indexFieldName, IndexReader reader, TaxonomyReader taxoReader, FacetsConfig config)`
  Create `FastTaxonomyFacetCounts`, using the specified `indexFieldName` for ordinals, and counting all non-deleted documents in the index.
  ``
  `FastTaxonomyFacetCounts(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)`
  Create `FastTaxonomyFacetCounts`, which also counts all facet labels.
  ``
  `OrdinalMappingLeafReader(LeafReader in, int[] ordinalMap, FacetsConfig srcConfig)`
  Wraps an LeafReader, mapping ordinals according to the ordinalMap, using the provided `FacetsConfig` which was used to build the wrapped reader.
  ``
  `TaxonomyFacetFloatAssociations(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetFloatAssociations` against the specified index field.
  ``
  `TaxonomyFacetFloatAssociations(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction, DoubleValuesSource valuesSource)`
  Create `TaxonomyFacetFloatAssociations` against the specified index field.
  ``
  `TaxonomyFacetFloatAssociations(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetFloatAssociations` against the default index field.
  ``
  `TaxonomyFacetFloatAssociations(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction, DoubleValuesSource valuesSource)`
  Create `TaxonomyFacetFloatAssociations` against the default index field.
  ``
  `TaxonomyFacetIntAssociations(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetIntAssociations` against the specified index field.
  ``
  `TaxonomyFacetIntAssociations(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc, AssociationAggregationFunction aggregationFunction)`
  Create `TaxonomyFacetIntAssociations` against the default index field.